Lavalite package that provides vocher management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/vocher`.

    "litecms/vocher": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Vocher\Providers\VocherServiceProvider::class,

And also add it to alias

    'Vocher'  => Litecms\Vocher\Facades\Vocher::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\VocherTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Vocher\Providers\VocherServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Vocher\Providers\VocherServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Vocher\Providers\VocherServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/vocher/{modulename}

**User**

    http://path-to-route-folder/user/vocher/{modulename}

**Public**

    http://path-to-route-folder/vochers


### API endpoints

**List**

    http://path-to-route-folder/api/user/vocher/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/vocher/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/vocher/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/vocher/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/vocher/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/vocher/{modulename}/{slug}
    METHOD: GET